Missing Module?

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Missing Module?

Mehdi Sarmadi
Hi

 I have a problem about pkcs to authenticate via smart card, when I config a library in pkcs.conf to athentication an error accure about pkcs11_module.so .pkcs11 cannot load this module.

 Linux Machine is a CentOS 5.4 ( updated ) with the latest version of pam_pkcs11 package, tar ball compiled.
 
here is the pkcs_inspect out put:
#pkcs_inspect
ERROR:pkcs11_inspect.c:73:load_pkcs11_module(/usr/lib/pam_pkcs11/pkcs11_module.so) failed: stat() failed: No such file or directory

  I can not find that module any where even in other RPMs, that's odd!
  Is there any package missing?
  Any clues or same experience?

TIA
Cheers
--
Mehdi Sarmadi

_______________________________________________
opensc-user mailing list
[hidden email]
http://www.opensc-project.org/mailman/listinfo/opensc-user
Reply | Threaded
Open this post in threaded view
|

Re: Missing Module?

Andreas Jellinghaus-2
Am Samstag 22 Mai 2010, um 09:22:17 schrieb Mehdi Sarmadi:
> Hi
>
>  I have a problem about pkcs to authenticate via smart card, when I config
> a library in pkcs.conf to athentication an error accure about
> pkcs11_module.so .pkcs11 cannot load this module.

you need a pkcs#11 module that works with your card and the data format
of the data and keys stored on your format.

opensc for example has "opensc-pkcs11.so" that works with many cards
if they have data stored in pkcs#15 format on them, and works with
many national id cards too (by emulating those special formats).

Regards, Andreas
_______________________________________________
opensc-user mailing list
[hidden email]
http://www.opensc-project.org/mailman/listinfo/opensc-user